changeset 249:3799d9706864

adding bamboo agent configuration files
author aldrich@nwoca.org
date Wed, 23 May 2018 16:43:34 +0100
parents f994e8eca29f
children a7ae41f4a55b
files bamboo-agent/Dockerfile bamboo-agent/atlassian-bamboo-agent-installer-6.5.0.jar bamboo-agent/docker-entrypoint.sh
diffstat 3 files changed, 96 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bamboo-agent/Dockerfile	Wed May 23 16:43:34 2018 +0100
@@ -0,0 +1,66 @@
+FROM  ubuntu:16.04
+
+RUN apt-get update
+RUN apt-get install -y ca-certificates
+
+# set up nsswitch.conf for Go's "netgo" implementation (which Docker explicitly uses)
+# - https://github.com/docker/docker-ce/blob/v17.09.0-ce/components/engine/hack/make.sh#L149
+# - https://github.com/golang/go/blob/go1.9.1/src/net/conf.go#L194-L275
+# - docker run --rm debian:stretch grep '^hosts:' /etc/nsswitch.conf
+RUN  echo 'hosts: files dns' > /etc/nsswitch.conf
+
+ENV DOCKER_CHANNEL stable
+ENV DOCKER_VERSION 17.03.2-ce
+ENV PATH "$PATH:/usr/local/bin"
+ENV DOCKER_HOST unix:///var/run/docker.sock
+#RUN set -ex
+# why we use "curl" instead of "wget":
+# + wget -O docker.tgz https://download.docker.com/linux/static/stable/x86_64/docker-17.03.1-ce.tgz
+# Connecting to download.docker.com (54.230.87.253:443)
+# wget: error getting response: Connection reset by peer
+
+RUN apt-get update -y
+
+
+RUN apt-get install -y mercurial \
+
+    && apt-get install -y vim \
+
+    && apt-get install -y nano \
+
+    && apt-get install -y tar \
+
+    && apt-get install -y curl \
+
+    && apt-get install -y openjdk-8-jdk
+
+RUN curl -fL -o docker.tgz "https://download.docker.com/linux/static/stable/x86_64/docker-${DOCKER_VERSION}.tgz"; 
+RUN	tar --extract \
+		--file docker.tgz \
+		--strip-components 1 \
+		--directory /usr/local/bin/ \
+	; \
+	rm docker.tgz; \
+	\
+	apt-get autoremove  \
+	\
+	dockerd -v; \
+	docker -v
+
+#COPY modprobe.sh /usr/local/bin/modprobe
+COPY docker-entrypoint.sh /usr/local/bin/
+
+
+run chmod +x /usr/local/bin/docker-entrypoint.sh
+
+#EXPOSE 2375/tcp
+
+
+COPY atlassian-bamboo-agent-installer-6.5.0.jar /root
+
+
+ENTRYPOINT ["docker-entrypoint.sh"]
+
+CMD java -jar /root/atlassian-bamboo-agent-installer-6.5.0.jar $BAMBOO_SERVER/agentServer/
+#CMD []
+
Binary file bamboo-agent/atlassian-bamboo-agent-installer-6.5.0.jar has changed
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bamboo-agent/docker-entrypoint.sh	Wed May 23 16:43:34 2018 +0100
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+
+# first arg is `-f` or `--some-option`
+if [ "${1#-}" != "$1" ]; then
+	set -- docker "$@"
+fi
+
+# if our command is a valid Docker subcommand, let's invoke it through Docker instead
+# (this allows for "docker run docker ps", etc)
+if docker help "$1" > /dev/null 2>&1; then
+	set -- docker "$@"
+fi
+
+# if we have "--link some-docker:docker" and not DOCKER_HOST, let's set DOCKER_HOST automatically
+if [ -z "$DOCKER_HOST" -a "$DOCKER_PORT_2375_TCP" ]; then
+	export DOCKER_HOST='tcp://docker:2375'
+fi
+
+if [ "$1" = 'dockerd' ]; then
+	cat >&2 <<-'EOW'
+		📎 Hey there!  It looks like you're trying to run a Docker daemon.
+		   You probably should use the "dind" image variant instead, something like:
+		     docker run --privileged --name some-overlay-docker -d docker:stable-dind --storage-driver=overlay
+		   See https://hub.docker.com/_/docker/ for more documentation and usage examples.
+	EOW
+	sleep 3
+fi
+
+exec "$@"